summaryrefslogtreecommitdiff
path: root/elastic/load.sh
diff options
context:
space:
mode:
authorvarac <varacanero@zeromail.org>2017-04-10 13:35:17 +0200
committervarac <varacanero@zeromail.org>2017-04-10 13:35:17 +0200
commit0936cd21b51d97514344445eb28d55378002b28e (patch)
tree13ca3000933b14a6a97b5a8c9225de0de6767c16 /elastic/load.sh
parentbb9cc0d317e9abff6a834621604c6dfd505fbe1e (diff)
Fix benchmark* index pattern
Diffstat (limited to 'elastic/load.sh')
-rwxr-xr-xelastic/load.sh22
1 files changed, 12 insertions, 10 deletions
diff --git a/elastic/load.sh b/elastic/load.sh
index e7d1990..298d796 100755
--- a/elastic/load.sh
+++ b/elastic/load.sh
@@ -116,6 +116,18 @@ do
done
rm ${TMP_SED_FILE}
+for file in ${DIR}/index-pattern/*.json
+do
+ NAME=`awk '$1 == "\"title\":" {gsub(/[",]/, "", $2); print $2}' ${file}`
+ echo "Loading index pattern ${NAME}:"
+
+ ${CURL} -XPUT ${ELASTICSEARCH}/${KIBANA_INDEX}/index-pattern/${NAME} \
+ -d @${file} || exit 1
+ echo
+done
+
+exit 1
+
for file in ${DIR}/visualization/*.json
do
NAME=`basename ${file} .json`
@@ -133,13 +145,3 @@ do
-d @${file} || exit 1
echo
done
-
-for file in ${DIR}/index-pattern/*.json
-do
- NAME=`awk '$1 == "\"title\":" {gsub(/[",]/, "", $2); print $2}' ${file}`
- echo "Loading index pattern ${NAME}:"
-
- ${CURL} -XPUT ${ELASTICSEARCH}/${KIBANA_INDEX}/index-pattern/${NAME} \
- -d @${file} || exit 1
- echo
-done